Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class SignerInformationStore

    java.lang.Object
      org.bouncycastle.cms.SignerInformationStore

    public class SignerInformationStore

extends java.lang.Object

Constructor Summary
`SignerInformationStore(java.util.Collection signerInfos)`

Method Summary
`SignerInformation` | `get(SignerId selector)` Return the first SignerInformation object that matches the passed in selector.
`java.util.Collection` | `getSigners()` Return all signers in the collection
`java.util.Collection` | `getSigners(SignerId selector)` Return possible empty collection with signers matching the passed in SignerId
`int` | `size()` Return the number of signers in the collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerInformationStore

    public SignerInformationStore(java.util.Collection signerInfos)

Method Detail

### get

    public SignerInformation get(SignerId selector)

  Return the first SignerInformation object that matches the passed in selector. Null if there are no matches.

  Parameters:
    `selector` - to identify a signer
  Returns:
    a single SignerInformation object. Null if none matches.

### size

    public int size()

  Return the number of signers in the collection.

  Returns:
    number of signers identified.

### getSigners

    public java.util.Collection getSigners()

  Return all signers in the collection

  Returns:
    a collection of signers.

### getSigners

    public java.util.Collection getSigners(SignerId selector)

  Return possible empty collection with signers matching the passed in SignerId

  Parameters:
    `selector` - a signer id to select against.
  Returns:
    a collection of SignerInformation objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD